Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162241 - Rebuilding php-4.3.9-3.6.src.rpm to include oci8 support fails on RHEL4
Summary: Rebuilding php-4.3.9-3.6.src.rpm to include oci8 support fails on RHEL4
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: php
Version: 4.0
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
: ---
Assignee: Joe Orton
QA Contact: David Lawrence
URL:
Whiteboard: RHEL4U3NAK
: 223989 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-01 12:36 UTC by Rangan Chidambara Kuttalam Pillai
Modified: 2007-11-30 22:07 UTC (History)
5 users (show)

Fixed In Version: 4.3.9-3.22.3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-22 15:30:03 UTC


Attachments (Terms of Use)
php-4.3.9-oci8.patch (deleted)
2005-08-09 12:54 UTC, Bastien Nocera
no flags Details | Diff

Description Rangan Chidambara Kuttalam Pillai 2005-07-01 12:36:32 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.4) Gecko/20050318 Red Hat/1.4.4-1.3.5

Description of problem:
rpmbuild --rebuild --define '_with_oci8 1' php-4.3.9-3.6.src.rpm 
 
the configure option --with-oci8-instant-client=shared gets passed, however the build fails to include the php-oci8 module with the following errors: 
 
Processing files: php-oci8-4.3.9-3.6 
error: File not found: /var/tmp/php-root/usr/lib/php4/oci8.so 
 
and finally 
 
RPM build errors: 
    File not found: /var/tmp/php-root/usr/lib/php4/oci8.so 

Version-Release number of selected component (if applicable):
php-4.3.9-3.6.src.rpm

How reproducible:
Always

Steps to Reproduce:
1. Install Oracle InstantClient
2. rpmbuild --rebuild --define '_with_oci8 1' php-4.3.9-3.6.src.rpm 
3. Processing files: php-oci8-4.3.9-3.6 
error: File not found: /var/tmp/php-root/usr/lib/php4/oci8.so 
  

Actual Results:  Processing files: php-oci8-4.3.9-3.6 
error: File not found: /var/tmp/php-root/usr/lib/php4/oci8.so 

and finally 
 
RPM build errors: 
    File not found: /var/tmp/php-root/usr/lib/php4/oci8.so 



Expected Results:  It should have created php-oci8 RPM file.

Additional info:

http://bugs.php.net/bug.php?id=31084  The bug is fixed in the upstream.

Comment 2 Bastien Nocera 2005-08-09 12:54:04 UTC
Created attachment 117571 [details]
php-4.3.9-oci8.patch

Patch attached locally

Comment 6 Katherine Lim 2006-02-20 22:52:24 UTC
Have successfully buily php-oci8 using Bastien's patch
(https://bugzilla.redhat.com/bugzilla/attachment.cgi?id=117571).

My notes are here:

Oracle 10g Instant Client and PHP4 on RHEL4 x86
http://users.monash.edu.au/~kml/archives/2006/02/index.html#e2006-02-12T23_35_28.txt

Oracle 10g Instant Client and PHP4 on RHEL4 x86_64
http://users.monash.edu.au/~kml/archives/2006/02/index.html#e2006-02-12T23_51_42.txt


Comment 8 David Shafer 2006-04-25 21:47:32 UTC
I was surprised to see php-4.3.9-3.12 released without this patch. At what point
will it be included?

Comment 11 RHEL Product and Program Management 2006-08-18 17:35:50 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 13 Bryan Mason 2007-01-10 01:18:45 UTC
Isn't this a duplicate of BZ 173964?

Comment 14 Bastien Nocera 2007-01-10 10:16:09 UTC
I think you mean "isn't BZ 173964 a duplicate of this bug?". And if you write
"bug 173964", bugzilla will make a nice link for you.

Comment 16 Joe Orton 2007-02-02 13:17:10 UTC
*** Bug 223989 has been marked as a duplicate of this bug. ***

Comment 17 Joe Orton 2007-02-22 15:30:03 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0076.html



Comment 19 Issue Tracker 2007-06-19 09:24:23 UTC
CRMs closed, erratum released, closing this

Internal Status set to 'Resolved'
Status set to: Closed by Tech
Resolution set to: 'RHEL 4.5'

This event sent from IssueTracker by pdemauro 
 issue 77482


Note You need to log in before you can comment on or make changes to this bug.